Bug 1411990 - Generate notification for Service Provisioning error in automate
Summary: Generate notification for Service Provisioning error in automate
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: William Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1412289
TreeView+ depends on / blocked
 
Reported: 2017-01-10 22:49 UTC by Satoe Imaishi
Modified: 2018-06-01 13:16 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1412289 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:01:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Satoe Imaishi 2017-01-10 22:49:13 UTC
From PR https://github.com/ManageIQ/manageiq/pull/12306:

Modified update_serviceprovision_status to generate a notification for services in error.

Message is 'Service Provision Error:' and the enhanced status message for the UI.

Comment 3 Milan Falešník 2017-03-17 12:43:17 UTC
Verified on 5.8.0.4. When I modified the catalog item code to switch the state to error, I got this message:

Service Provision Error: Server [EVM] Service [failtest2-20170317-084207] Step [pre5] Status [Error Processing Pre5] Message [Processing Pre5]


Note You need to log in before you can comment on or make changes to this bug.